import processing.sound.*;

Sound mySound; // create named reference to sound instance
PFont myFont;  // create named reference to font

void setup(){
  mySound = new Sound("song.mid");                   // create a new sound (load from data folder)
  myFont = loadFont("Verdana-12.mvlw", color(255));  // create a new font  (load from data folder)
  textFont(myFont);  // set the loaded font as the one we use for text
  textAlign(CENTER); // center align all text
}

void draw(){
  background(0); // clear screen
  
  // set informational text
  text("press 1 to play", width/2, (height/2) - (myFont.height * 2));
  text("press 2 to stop", width/2, height/2);
  text("press 0 to exit", width/2, (height/2) + (myFont.height * 2));
}

// key presses for sound control
void keyPressed(){
  if(keyCode == '1'){
    mySound.play();
  }else if(keyCode == '2'){
    mySound.stop();
  } else if (keyCode == '0'){
    exit();
  }
}
